# VLSI SAPD Documentation

Presentation | AGDS | CIF | DTR | OPENCHAMS | SPICE | Links & Contact

Device Class Reference

## Detailed Description

This class describes a Device.

A device is a leaf instance which means its model is not defined in a external file but is described inside the device. As an instance, the Device inherits all Instance methods and adds specific properties: mos type, bulk connection and list of internal transistors.

Note
  Althought today Device object only consider TransistorFamily devices, it will have to consider other devices, such as Capacitor when CHAMS project will.

Generated by doxygen 1.8.14 on Mon Apr 27 2020 | Return to top of page

VLSI SAPD Documentation | Copyright © 2010 - 2011 UPMC All rights reserved